stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
stdex::html::sequence Class Reference

Base class for HTML sequences. More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::sequence:

## Public Member Functions
| sequence (stdex::parser::html_sequence_t _type=stdex::parser::html_sequence_t::unknown, size_t start=0, size_t end=0, sequence *_parent=nullptr)

## Public Attributes
stdex::parser::html_sequence_t | type
| Sequence type. Enum is used for performance reasons (vs. `dynamic_cast`)
stdex::interval< size_t > | interval
| Sequence position in source.
sequence * | parent
| Parent sequence.

## Detailed Description

Base class for HTML sequences.

The documentation for this class was generated from the following file:

- include/stdex/html.hpp